## openhft-affinity 2.2

=== debian/changelog ===
openhft-affinity (2.2-1) unstable; urgency=medium

  * Initial release (Closes: #825969)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 31 May 2016 23:26:30 +0200
