## openhft-affinity 3.1.7

=== debian/changelog ===
openhft-affinity (3.1.7-1ubuntu1) noble; urgency=medium

  * d/p/02-remove-java-lang.patch: fix Java 21 ftbfs by cherry-picking
    upstream patch that drops the obsolete functionality (LP: #2053099).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 15 Feb 2024 10:01:46 +1300

openhft-affinity (3.1.7-1) experimental; urgency=medium

  * Team upload to experimental.
  * New upstream release 3.1.7
  * Drop Java 9 compatibility patch no longer needed
  * Add build-dep on libmaven-antrun-plugin-java
  * Add build-dep on libexec-maven-plugin-java
  * Add patch to use "javac -h" instead of "javah" to address FTBFS
    of new upstream version with Java 10.

 -- tony mancill <tmancill@debian.org>  Sun, 09 Sep 2018 16:35:00 -0700

openhft-affinity (2.2-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #875332)
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 09 Mar 2018 13:04:55 +0100
