=== debian/control ===
--- 
+++ 
@@ -1,15 +1,21 @@
 Source: openhft-affinity
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Emmanuel Bourg <ebourg@apache.org>
-Build-Depends: debhelper (>= 9), default-jdk, maven-debian-helper (>= 2.0)
-Build-Depends-Indep: libintellij-annotations-java,
-                     libjna-java,
-                     libjna-platform-java,
-                     libmaven-bundle-plugin-java,
-                     libslf4j-java
-Standards-Version: 3.9.8
+Build-Depends:
+ debhelper (>= 11),
+ default-jdk,
+ libintellij-annotations-java,
+ libjna-java,
+ libjna-platform-java,
+ libmaven-antrun-plugin-java,
+ libmaven-bundle-plugin-java,
+ libexec-maven-plugin-java,
+ libslf4j-java,
+ maven-debian-helper (>= 2.0)
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/openhft-affinity.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/openhft-affinity.git
 Homepage: http://chronicle.software/products/thread-affinity/
