=== debian/watch ===
version=3
https://github.com/OpenHFT/Java-Thread-Affinity/tags .*/affinity-([\d\.]+).tar.gz
