=== debian/changelog ===
openhft-affinity (3.23.3-1) unstable; urgency=medium

  * Team upload.

  [ Vladimir Petko ]
  * New upstream release 3.23.3 (Closes: #1053068).
  * d/maven.properties: do not build jni library.
  * d/control: update debhelper-compat to 13, Standards-Version to 4.6.2,
    Rule-Requires-Root: no, VCS links.
  * d/maven.ignoreRules: ignore chronicle-bom and chronicle-test-framework
    artifacts.
  * d/copyright: update copyrights.
  * Drop patches:
    - d/01-java9-compatibility.patch.

  [ tony mancill ]
  * Drop Java 9 compatibility patch
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.7.0

 -- tony mancill <tmancill@debian.org>  Mon, 02 Sep 2024 20:15:54 -0700
