=== debian/control ===
Source: openhft-affinity
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 libintellij-annotations-java,
 libjna-java,
 libjna-platform-java,
 libmaven-bundle-plugin-java,
 libslf4j-java,
 maven-debian-helper (>= 2.0)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/git/pkg-java/openhft-affinity.git
Vcs-Browser: https://salsa.debian.org/cgit/pkg-java/openhft-affinity.git
Homepage: http://chronicle.software/products/thread-affinity/
Rules-Requires-Root: no

Package: libopenhft-affinity-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Suggests: ${maven:OptionalDepends}
Description: OpenHFT Java Thread Affinity library
 The Thread Affinity library can increase applications performance by
 allowing threads to be bound to specific CPU cores. This is a benefit
 if the data is already on the cores L1 cache because it won't have
 to be reloaded. The OpenHFT Thread Affinity library is the ideal choice
 for writing low latency code.
