=== debian/watch ===
version=3
https://github.com/OpenHFT/Java-Thread-Affinity/tags .*/Java-Thread-Affinity-([\d\.]+).tar.gz
